Can I use Netflix on OSMC?(post 4)


#124

Ohh that’s why maybe the first time I could start navigation but when I tried to play it it failed. Sorry I did not know.

But i’ve tried running Netflix on Kodi just on top of raspbian before, then was advised to do open elec, then I did Libre Elec, and then read that by using OSMC I could get kodi 18, and found your guide (The best so far, by far)… and here I am. But I feel this time it’s closer! Thanks a lot again!
I’m actually going away for easter holiday, and will take my raspberry with me, I just hope I get a connection over there (going to a small town).

I’m learning a lot by doing this which is also fun :smiley:


#125

just “sudo apt-get install xz-utils” then rerun the extraction-script, then you should be up and running.


#127

Hello everyone. My situation is a bit strange: on one hand, I’m really happy about Joakim_Sandstrom’s precise instructions that allowed me to view netflix on my new Raspberry Pi running OSMC in about 5 minutes. On the other hand, after my library database (movies109.db) grew larger than 300 MB, Kodi became quite unstable.

I just moved .kodi out of the way in my /home/osmc folder, letting osmc recreate it, then in about 30 seconds I reinstalled the add-on and could watch netflix again… but of course I had lost my library.

Now I’m going to try and find the solution to this instability which is probably related to the size of my database, or possibly to its content (and certainly not to osmc nor to Kodi v 18, since I encounter the same behaviour on my windows Kodi v17).

Meanwhile, I am able to watch netflix on my (very dumb) TV, something I was unable to do before. Many thanks for that Joakim.


#129

Hi Joakim!! Me again, I have been trying, but I still cannot get it to work. I just did what you said, did the sudo apt-get install xz-utils, and seems like I get it. I re run the extraction script. And still when I go to Netflix it fails. :frowning: .

Should I re-install everything? i’m afraid I do it and still do not get it working.

Sorry for being super n00b on this. Here are the logs if you want to take a look, and thanks again!

http://paste.osmc.io/rifepekeci.vhdl


#130

From what i can see in log file there is problems with the Cryptodome, and I also know there were changes in inputstream.adaptive in the latest leila builds. I dont know if they are related. But I would reinstall, and if it doesn’t work try a leila build prior to 205. Which i know isn’t easy for a beginner, but after you installed leila, then run this command:

sudo apt-get install rbp2-mediacenter-osmc=17.8-204

That is if you are running on a pi2/3, else on a vero4k

sudo apt-get install vero3-mediacenter-osmc=17.8-204

edit: After upgradeing to latest Leila(17.8-209) i got one sadface when starting Netflix addon, but after the automatic restart of mediacenter(sadface) the netflix addon did work.


#131

I hope I’m not digging up a thread that’s not used anymore, but I’ve found this through google and it helped me install the netflix addon, so I feel like it’s still relevant to add information of other users.

I couldn’t perform the last step (“install from zip, select netflix zip file”) because requests could not be installed. To fix it, I’ve used this workaround:

wget http://ftp.halifax.rwth-aachen.de/xbmc/addons/krypton/script.module.requests/script.module.requests-2.12.4.zip

followed by (in kodi) install addon from zip: the zip you just downloaded, this being script.module.requests-2.12.4.zip

Perhaps you could add this to your guide @joakim_s ? Or perhaps I did something wrong in your guide and this wasn’t strictly necessary, you’d probably know better than me!

Thanks a lot for your guide in any case!


#132

Will look into it tonight, need to reinstall the pi2 and run the tutorial again. But thanks for the heads up.


#133

Hello, after trying and failing to install some addons from the repo, this issue here might be related: RPi 3 B, Kodi 18, Addons do not install from repository

I’m showing you this because I figure my problems with the requests module may be related to the above thread, not to your guide. If so, I thought you should know, before you waste your time… (I would send this via private message but I can’t figure out how, sorry)


#134

Must be a local issue, just did the reinstall as I mentioned. And all worked “out of the box”. Bit I need to change the kodi part of the guide, since we changed to OSMC skin on leila too.


#135

Since the last nightly, you got to update your netflix addon, i changed the url in post number four to give the right addon. (previusly i chose gizmos addon, but i’ve reverted back to asciidiscos version(the original)).

So use the wget line from post four, or google bit.


#136

I am getting this message :confused:
Screenshot_2

And it wants me to download 1.9GB to fix it

I remember i was watching netflix fine the first time i did this. But i’ve only tried it once…today i wanted to see something and this came out when i tried playing an episode


#137

Yeah there has been an update to libwidvine, and netflix plugin now got inputstreamhelper to help get libwidvine. so it fixes the needed downloading and extraction of libwidvine. So no need for my extraction script.


#138

I uninstall the addon, and removed anything related to it (cdm folder also), and reinstalled it.
Now when i try to start a movie, it says that widvine is needed, want me to get it ? When i press yes, i get that same msg again.

1111
222

Sorry for the ballbusting, but the problem is i dont have 1.9gb free on the SD card to get it :confused:
EDIT: i just saw that you mentioned to actually do get that 1.9gb…crap…Will it grab something from it and then delete them ? Or will it actually keep that space ?


#139

It’ll be deleted, just temp. :wink:


#140

The file is getting is:
chromeos_10323.62.0_daisy-spring_recovery_stable-channel_spring-mp-v3.bin.zip


#141

I got also stuck at the point of installing the plugin from zip. Kodi.log gives the following error:

21:51:19.275 T:1613828832   ERROR: Requested path http://download.osmc.tv/kodi/addons/krypton/script.module.requests/script.module.requests-2.18.4.zip not found in known repository directories
21:51:19.275 T:1613828832   ERROR: CAddonInstallJob[script.module.requests]: failed to resolve addon install source path
21:51:19.279 T:1613828832   ERROR: CAddonInstallJob[plugin.video.netflix]: failed to install dependency script.module.requests
21:51:19.312 T:1918546528 WARNING: Repository Kodi Add-on repository uses plain HTTP for add-on downloads - this is insecure and will make your Kodi installation vulnerable to attacks if enabled!

#142

There is sometimes problems with Leia and autoinstalling plugins dependecys, it just drops out “installation failed”. I did it manually, ever required addon. I installed them one after another manually and got it working.

There are 7 dependencys:
script.module.certifi-2017.07.27.1.zip
script.module.chardet-3.0.4.zip
script.module.idna-2.6.zip
script.module.urllib3-1.22.zip
script.module.requests-2.19.1.zip
script.module.inputstreamhelper-0.3.3.zip
script.module.addon.signals-0.0.3.zip

Sorry but i cant remember the order they needed to be installed, but I think it was certfi, chardet. idna, urlib, requests, inputstreamhelper and then addon.signals. Had to download them manually from:
http://download.osmc.tv/kodi/addons/leia/
Locate the folder for the the add-on needed enter and grab the add-on zip.

Alternative 2: stop mediacenter and mv .kodi folder (which means all your settings will be set to default, no plugins installed etc)

sudo systemctl stop mediacenter
mv .kodi .kodi-old
sudo systemctl start mediacenter

An restart your Netflix installation by addon netflix addon.


#143

Finally, it downloaded the image and installed it…everything is back to normal


#146

Hi Sandbird,

Is your Netflix addon still working? If so, may I ask which version of the add on and which version of the nightly build?

As I am unable to get Netflix addon to work.

Thanks,
Mark


#147

Seems to be an issue with the netflix plugin right now, multiple reports of it not working on github.